org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectOn

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectOn

Interface exposing `ON` methods to declare `JOIN` relationships.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectOnConditionComparison` `on(Expression column)` Declare the source column in the `JOIN`.

### Method Detail

#### on

    SelectBuilder.SelectOnConditionComparison on(Expression column)

Declare the source column in the `JOIN`.

Parameters:
  `column` - the source column, must not be null or empty.
Returns:
  `this` builder.
See Also:
  `Table.column(String)`